public class UserIdSettings
    //User-Einstellung: Property-ID Anzeige steuern
    //nairolf 2008-03-26
    {
        //Umschaltung der Anzeige der Eigenschaftsnummer (1=JA/0=NEIN)
        [DeclareAction("IDOn_Off")]
        public void SetUserID_OnOff(string State)
        {
            Eplan.EplApi.Base.Settings oSettings = new Eplan.EplApi.Base.Settings();
            if (State.ToUpper() == "ON" | State.ToUpper() == "EIN" | State.ToUpper() == "AN")
            {
                oSettings.SetBoolSetting("USER.SYSTEM.GUI.SHOW_PROPERTY_NR", true, 0);
            }
            else
            {
                oSettings.SetBoolSetting("USER.SYSTEM.GUI.SHOW_PROPERTY_NR", false, 0);
            }
        }
        //Umschaltung der Anzeige der Eigenschaftsnummer vor oder nach Property (1=DAHINTER/0=DAVOR)
        [DeclareAction("IDbehind")]
        public void SetUserID_BehindOnOff(string State)
        { 
            Eplan.EplApi.Base.Settings oSettings = new Eplan.EplApi.Base.Settings();
            if (State.ToUpper() == "JA" | State.ToUpper() == "YES" )
            {
                oSettings.SetBoolSetting("USER.SYSTEM.GUI.SHOW_PROPERTY_NR_BEHIND_NAME", true, 0);
            }
            else
            {
                oSettings.SetBoolSetting("USER.SYSTEM.GUI.SHOW_PROPERTY_NR_BEHIND_NAME", false, 0);
            }

        }
    }
